<?php
/***************************************************************************
 *                              admin_ajaxed.php
 *                            -------------------
 *   begin                : Tuesday, January 10, 2006
 *   copyright            : (C) 2005 GlitchPlay.Com
 *   email                : matt.gru@gmail.com
 *
 *   $Id: admin_ajaxed.php,v 0.0.0 2006/01/10 18:55:00
 *
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['General']['AJAXed'] = "$file";
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_board", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;
		
		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if ($config_name == 'cookie_name')
		{
			$cookie_name = str_replace('.', '_', $new['cookie_name']);
		}

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . CONFIG_TABLE . " SET
				config_value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['AJAXed_updated'] . "<br /><br />" . sprintf($lang['Click_return_AJAXed'], "<a href=\"" . append_sid("admin_ajaxed.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

		message_die(GENERAL_MESSAGE, $message);
	}
}

$status_yes = ( $new['AJAXed_status'] ) ? "checked=\"checked\"" : "";
$status_no = ( !$new['AJAXed_status'] ) ? "checked=\"checked\"" : "";
$inline_post_editing_yes = ( $new['AJAXed_inline_post_editing'] ) ? "checked=\"checked\"" : "";
$inline_post_editing_no = ( !$new['AJAXed_inline_post_editing'] ) ? "checked=\"checked\"" : "";
$post_title_yes = ( $new['AJAXed_post_title'] ) ? "checked=\"checked\"" : "";
$post_title_no = ( !$new['AJAXed_post_title'] ) ? "checked=\"checked\"" : "";
$post_ip_yes = ( $new['AJAXed_post_ip'] ) ? "checked=\"checked\"" : "";
$post_ip_no = ( !$new['AJAXed_post_ip'] ) ? "checked=\"checked\"" : "";
$post_menu_yes = ( $new['AJAXed_post_menu'] ) ? "checked=\"checked\"" : "";
$post_menu_no = ( !$new['AJAXed_post_menu'] ) ? "checked=\"checked\"" : "";
$poll_menu_yes = ( $new['AJAXed_poll_menu'] ) ? "checked=\"checked\"" : "";
$poll_menu_no = ( !$new['AJAXed_poll_menu'] ) ? "checked=\"checked\"" : "";
$poll_title_yes = ( $new['AJAXed_poll_title'] ) ? "checked=\"checked\"" : "";
$poll_title_no = ( !$new['AJAXed_poll_title'] ) ? "checked=\"checked\"" : "";
$poll_options_yes = ( $new['AJAXed_poll_options'] ) ? "checked=\"checked\"" : "";
$poll_options_no = ( !$new['AJAXed_poll_options'] ) ? "checked=\"checked\"" : "";
$post_preview_yes = ( $new['AJAXed_post_preview'] ) ? "checked=\"checked\"" : "";
$post_preview_no = ( !$new['AJAXed_post_preview'] ) ? "checked=\"checked\"" : "";
$pm_preview_yes = ( $new['AJAXed_pm_preview'] ) ? "checked=\"checked\"" : "";
$pm_preview_no = ( !$new['AJAXed_pm_preview'] ) ? "checked=\"checked\"" : "";
$user_list_yes = ( $new['AJAXed_user_list'] ) ? "checked=\"checked\"" : "";
$user_list_no = ( !$new['AJAXed_user_list'] ) ? "checked=\"checked\"" : "";
$user_list_number = $new['AJAXed_user_list_number'];
$forum_delete_yes = ( $new['AJAXed_forum_delete'] ) ? "checked=\"checked\"" : "";
$forum_delete_no = ( !$new['AJAXed_forum_delete'] ) ? "checked=\"checked\"" : "";
$display_delete_yes = ( $new['AJAXed_display_delete'] ) ? "checked=\"checked\"" : "";
$display_delete_no = ( !$new['AJAXed_display_delete'] ) ? "checked=\"checked\"" : "";
$forum_move_yes = ( $new['AJAXed_forum_move'] ) ? "checked=\"checked\"" : "";
$forum_move_no = ( !$new['AJAXed_forum_move'] ) ? "checked=\"checked\"" : "";
$display_move_yes = ( $new['AJAXed_display_move'] ) ? "checked=\"checked\"" : "";
$display_move_no = ( !$new['AJAXed_display_move'] ) ? "checked=\"checked\"" : "";
$forum_lock_yes = ( $new['AJAXed_forum_lock'] ) ? "checked=\"checked\"" : "";
$forum_lock_no = ( !$new['AJAXed_forum_lock'] ) ? "checked=\"checked\"" : "";
$post_delete_yes = ( $new['AJAXed_post_delete'] ) ? "checked=\"checked\"" : "";
$post_delete_no = ( !$new['AJAXed_post_delete'] ) ? "checked=\"checked\"" : "";
$topic_delete_yes = ( $new['AJAXed_topic_delete'] ) ? "checked=\"checked\"" : "";
$topic_delete_no = ( !$new['AJAXed_topic_delete'] ) ? "checked=\"checked\"" : "";
$topic_move_yes = ( $new['AJAXed_topic_move'] ) ? "checked=\"checked\"" : "";
$topic_move_no = ( !$new['AJAXed_topic_move'] ) ? "checked=\"checked\"" : "";
$topic_lock_yes = ( $new['AJAXed_topic_lock'] ) ? "checked=\"checked\"" : "";
$topic_lock_no = ( !$new['AJAXed_topic_lock'] ) ? "checked=\"checked\"" : "";
$topic_watch_yes = ( $new['AJAXed_topic_watch'] ) ? "checked=\"checked\"" : "";
$topic_watch_no = ( !$new['AJAXed_topic_watch'] ) ? "checked=\"checked\"" : "";
$username_check_yes = ( $new['AJAXed_username_check'] ) ? "checked=\"checked\"" : "";
$username_check_no = ( !$new['AJAXed_username_check'] ) ? "checked=\"checked\"" : "";
$password_check_yes = ( $new['AJAXed_password_check'] ) ? "checked=\"checked\"" : "";
$password_check_no = ( !$new['AJAXed_password_check'] ) ? "checked=\"checked\"" : "";

$template->set_filenames(array(
	"body" => "admin/AJAXed_config_body.tpl")
);

$template->assign_vars(array(
	"S_AJAXED_ACTION" => append_sid("admin_ajaxed.$phpEx"),

	"L_AJAXED_TITLE" => $lang['AJAXed_Config'],
	"L_AJAXED_EXPLAIN" => $lang['AJAXed_explain'],
	"L_AJAXED_SETTINGS" => $lang['AJAXed_settings'],
	"L_AJAXED_STATUS" => $lang['AJAXed_status'],
	"L_AJAXED_STATUS_EXPLAIN" => $lang['AJAXed_status_explain'],
	"L_AJAXED_INLINE_POST_EDITING" => $lang['AJAXed_inline_post_editing'],
	"L_AJAXED_INLINE_POST_EDITING_EXPLAIN" => $lang['AJAXed_inline_post_editing_explain'],
	"L_AJAXED_POST_TITLE" => $lang['AJAXed_post_title'],
	"L_AJAXED_POST_TITLE_EXPLAIN" => $lang['AJAXed_post_title_explain'],
	"L_AJAXED_POST_IP" => $lang['AJAXed_post_ip'],
	"L_AJAXED_POST_IP_EXPLAIN" => $lang['AJAXed_post_ip_explain'],
	"L_AJAXED_POST_MENU" => $lang['AJAXed_post_menu'],
	"L_AJAXED_POST_MENU_EXPLAIN" => $lang['AJAXed_post_menu_explain'],
	"L_AJAXED_POLL_MENU" => $lang['AJAXed_poll_menu'],
	"L_AJAXED_POLL_MENU_EXPLAIN" => $lang['AJAXed_poll_menu_explain'],
	"L_AJAXED_POLL_TITLE" => $lang['AJAXed_poll_title'],
	"L_AJAXED_POLL_TITLE_EXPLAIN" => $lang['AJAXed_poll_title_explain'],
	"L_AJAXED_POLL_OPTIONS" => $lang['AJAXed_poll_options'],
	"L_AJAXED_POLL_OPTIONS_EXPLAIN" => $lang['AJAXed_poll_options_explain'],
	"L_AJAXED_POST_PREVIEW" => $lang['AJAXed_post_preview'],
	"L_AJAXED_POST_PREVIEW_EXPLAIN" => $lang['AJAXed_post_preview_explain'],
	"L_AJAXED_PM_PREVIEW" => $lang['AJAXed_pm_preview'],
	"L_AJAXED_PM_PREVIEW_EXPLAIN" => $lang['AJAXed_pm_preview_explain'],
	"L_AJAXED_USER_LIST" => $lang['AJAXed_user_list'],
	"L_AJAXED_USER_LIST_EXPLAIN" => $lang['AJAXed_user_list_explain'],
	"L_AJAXED_USER_LIST_NUMBER" => $lang['AJAXed_user_list_number'],
	"L_AJAXED_USER_LIST_NUMBER_EXPLAIN" => $lang['AJAXed_user_list_number_explain'],
	"L_AJAXED_FORUM_DELETE" => $lang['AJAXed_forum_delete'],
	"L_AJAXED_FORUM_DELETE_EXPLAIN" => $lang['AJAXed_forum_delete_explain'],
	"L_AJAXED_DISPLAY" => $lang['AJAXed_display'],
	"L_AJAXED_DISPLAY_DELETE" => $lang['AJAXed_display_delete'],
	"L_AJAXED_FORUM_MOVE" => $lang['AJAXed_forum_move'],
	"L_AJAXED_FORUM_MOVE_EXPLAIN" => $lang['AJAXed_forum_move_explain'],
	"L_AJAXED_DISPLAY_MOVE" => $lang['AJAXed_display_move'],
	"L_AJAXED_FORUM_LOCK" => $lang['AJAXed_forum_lock'],
	"L_AJAXED_FORUM_LOCK_EXPLAIN" => $lang['AJAXed_forum_lock_explain'],
	"L_AJAXED_POST_DELETE" => $lang['AJAXed_post_delete'],
	"L_AJAXED_POST_DELETE_EXPLAIN" => $lang['AJAXed_post_delete_explain'],
	"L_AJAXED_TOPIC_DELETE" => $lang['AJAXed_topic_delete'],
	"L_AJAXED_TOPIC_DELETE_EXPLAIN" => $lang['AJAXed_topic_delete_explain'],
	"L_AJAXED_TOPIC_MOVE" => $lang['AJAXed_topic_move'],
	"L_AJAXED_TOPIC_MOVE_EXPLAIN" => $lang['AJAXed_topic_move_explain'],
	"L_AJAXED_TOPIC_LOCK" => $lang['AJAXed_topic_lock'],
	"L_AJAXED_TOPIC_LOCK_EXPLAIN" => $lang['AJAXed_topic_lock_explain'],
	"L_AJAXED_TOPIC_WATCH" => $lang['AJAXed_topic_watch'],
	"L_AJAXED_TOPIC_WATCH_EXPLAIN" => $lang['AJAXed_topic_watch_explain'],
	"L_AJAXED_USERNAME_CHECK" => $lang['AJAXed_username_check'],
	"L_AJAXED_USERNAME_CHECK_EXPLAIN" => $lang['AJAXed_username_check_explain'],
	"L_AJAXED_PASSWORD_CHECK" => $lang['AJAXed_password_check'],
	"L_AJAXED_PASSWORD_CHECK_EXPLAIN" => $lang['AJAXed_password_check_explain'],

	"L_ENABLED" => $lang['Enabled'], 
	"L_DISABLED" => $lang['Disabled'],
	"L_SUBMIT" => $lang['Submit'], 
	"L_RESET" => $lang['Reset'],
 
	"STATUS_ENABLE" => $status_yes, 
	"STATUS_DISABLE" => $status_no, 
	"INLINE_POST_EDITING_ENABLE" => $inline_post_editing_yes, 
	"INLINE_POST_EDITING_DISABLE" => $inline_post_editing_no, 
	"POST_TITLE_ENABLE" => $post_title_yes, 
	"POST_TITLE_DISABLE" => $post_title_no, 
	"POST_IP_ENABLE" => $post_ip_yes, 
	"POST_IP_DISABLE" => $post_ip_no, 
	"POST_MENU_ENABLE" => $post_menu_yes, 
	"POST_MENU_DISABLE" => $post_menu_no, 
	"POLL_MENU_ENABLE" => $poll_menu_yes, 
	"POLL_MENU_DISABLE" => $poll_menu_no, 
	"POLL_TITLE_ENABLE" => $poll_title_yes, 
	"POLL_TITLE_DISABLE" => $poll_title_no, 
	"POLL_OPTIONS_ENABLE" => $poll_options_yes, 
	"POLL_OPTIONS_DISABLE" => $poll_options_no, 
	"POST_PREVIEW_ENABLE" => $post_preview_yes, 
	"POST_PREVIEW_DISABLE" => $post_preview_no, 
	"PM_PREVIEW_ENABLE" => $pm_preview_yes, 
	"PM_PREVIEW_DISABLE" => $pm_preview_no, 
	"USER_LIST_ENABLE" => $user_list_yes, 
	"USER_LIST_DISABLE" => $user_list_no, 
	"USER_LIST_NUMBER" => $user_list_number, 
	"FORUM_DELETE_ENABLE" => $forum_delete_yes, 
	"FORUM_DELETE_DISABLE" => $forum_delete_no, 
	"DISPLAY_DELETE_ENABLE" => $display_delete_yes, 
	"DISPLAY_DELETE_DISABLE" => $display_delete_no, 
	"FORUM_MOVE_ENABLE" => $forum_move_yes, 
	"FORUM_MOVE_DISABLE" => $forum_move_no, 
	"DISPLAY_MOVE_ENABLE" => $display_move_yes, 
	"DISPLAY_MOVE_DISABLE" => $display_move_no, 
	"FORUM_LOCK_ENABLE" => $forum_lock_yes, 
	"FORUM_LOCK_DISABLE" => $forum_lock_no, 
	"POST_DELETE_ENABLE" => $post_delete_yes, 
	"POST_DELETE_DISABLE" => $post_delete_no, 
	"TOPIC_DELETE_ENABLE" => $topic_delete_yes, 
	"TOPIC_DELETE_DISABLE" => $topic_delete_no, 
	"TOPIC_MOVE_ENABLE" => $topic_move_yes, 
	"TOPIC_MOVE_DISABLE" => $topic_move_no, 
	"TOPIC_LOCK_ENABLE" => $topic_lock_yes, 
	"TOPIC_LOCK_DISABLE" => $topic_lock_no, 
	"TOPIC_WATCH_ENABLE" => $topic_watch_yes, 
	"TOPIC_WATCH_DISABLE" => $topic_watch_no, 
	"USERNAME_CHECK_ENABLE" => $username_check_yes, 
	"USERNAME_CHECK_DISABLE" => $username_check_no, 
	"PASSWORD_CHECK_ENABLE" => $password_check_yes, 
	"PASSWORD_CHECK_DISABLE" => $password_check_no, 
)
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>