<?php
/***************************************************************************
 *                              admin_vcasino_slot.php
 *                            ------------------
 *
 *
 ***************************************************************************/

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['Virtual Casino']['Video Poker Settings'] = $file;
	return;
}

define('IN_PHPBB', true);
define('IN_CASHMOD', true);

$phpbb_root_path = '../';
require($phpbb_root_path . 'extension.inc');
require("pagestart.$phpEx");
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_vcasino.'.$phpEx);


$template->set_filenames(array(
	'body' => 'admin/config_vcasino_poker_body.tpl')
);

$poker_config=explode('|',$board_config['vcasino_poker']);

$submit = isset($HTTP_POST_VARS['submit']); 
if ($submit) {
	$poker_config[0]=intval($HTTP_POST_VARS['cash_type']);
	$poker_config[1]=intval($HTTP_POST_VARS['pay1']);
	$poker_config[2]=intval($HTTP_POST_VARS['pay2']);
	$poker_config[3]=intval($HTTP_POST_VARS['pay3']);
	$poker_config[4]=intval($HTTP_POST_VARS['pay4']);
	$poker_config[5]=intval($HTTP_POST_VARS['pay5']);
	$poker_config[6]=intval($HTTP_POST_VARS['pay6']);
	$poker_config[7]=intval($HTTP_POST_VARS['pay7']);
	$poker_config[8]=intval($HTTP_POST_VARS['pay8']);
	$poker_config[9]=intval($HTTP_POST_VARS['pay9']);
	$poker_config[10]=intval($HTTP_POST_VARS['bet1']);
	$poker_config[11]=intval($HTTP_POST_VARS['bet2']);
	$poker_config[12]=intval($HTTP_POST_VARS['bet3']);
	}

$template->assign_vars(array(
	'POKER_PAY1' => $poker_config[1],
	'POKER_PAY2' => $poker_config[2],
	'POKER_PAY3' => $poker_config[3],
	'POKER_PAY4' => $poker_config[4],
	'POKER_PAY5' => $poker_config[5],
	'POKER_PAY6' => $poker_config[6],
	'POKER_PAY7' => $poker_config[7],
	'POKER_PAY8' => $poker_config[8],
	'POKER_PAY9' => $poker_config[9],
	'POKER_BET1' => $poker_config[10],
	'POKER_BET2' => $poker_config[11],
	'POKER_BET3' => $poker_config[12],
	'L_TOTAL_PAYOFF' =>	$lang['Total_Payoff'],
	'L_PAYS' =>	$lang['Pays'],
	'L_ODDS' =>	$lang['Odds'],
	'L_COMBINATION' =>	$lang['Combination'],
	'L_ALLOWED_BETS' =>	$lang['Allowed_Bets'],
	'L_HOUSE_PCT' =>	$lang['House_Pct'],
	'L_ODDS_EXPLAIN_POKER' => $lang['Odds_Explain_Poker'],
	'L_HAND1' =>	$lang['Hand_1'],
	'L_HAND2' =>	$lang['Hand_2'],
	'L_HAND3' =>	$lang['Hand_3'],
	'L_HAND4' =>	$lang['Hand_4'],
	'L_HAND5' =>	$lang['Hand_5'],
	'L_HAND6' =>	$lang['Hand_6'],
	'L_HAND7' =>	$lang['Hand_7'],
	'L_HAND8' =>	$lang['Hand_8'],
	'L_HAND9' =>	$lang['Hand_9'],
	'L_SUBMIT' =>	$lang['Submit'],
	'L_VCASINO' =>		$lang['VCasino'],
	'L_VPOKER' =>		$lang['VPoker'],
	'U_POKER_ACT' => append_sid(basename(__FILE__))
));

if (isset($cash)) {
    while ( $c_cur = &$cash->currency_next($cm_i,CURRENCY_ENABLED) ) {
    $template->assign_block_vars('poker_cash',array(
	'NAME' => $c_cur -> name($supress_image = true),
	'VALUE' => $c_cur -> id(),
	'SEL' => (($c_cur -> id()) == $poker_config[0])?"Selected":""
	));
    }
    } else {
    $template->assign_block_vars('poker_cash',array(
	'NAME' => $lang['Points'],
	'VALUE' => 1,
	'SEL' => "Selected"
	));
    }
if ( $submit )
{
	$sql= "UPDATE ". CONFIG_TABLE . " SET config_value = '".implode('|',$poker_config)."' WHERE config_name = 'vcasino_poker'";
	if ( !($result = $db->sql_query($sql)) ) 
	{ 
		message_die(GENERAL_ERROR, 'Error Updating poker' , " ", __LINE__, __FILE__, $sql); 
	}

}


$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>