<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html dir="{S_CONTENT_DIRECTION}">
<head>
<meta http-equiv="Content-Type" content="text/html; charset={S_CONTENT_ENCODING}">
<meta http-equiv="Content-Style-Type" content="text/css">
<meta http-equiv="Content-Language" content="{META_LANGUAGE}" />
<meta name="author" content="{META_AUTHOR}" />
<meta name="keywords" content="{META_KEYWORDS}" />
<meta name="description" content="{META_DESCRIPTION}" />
<meta name="robots" content="{META_ROBOTS}" />
<meta name="rating" content="{META_RATING}" />
<meta name="revisit-after" content="{META_VISIT_AFTER}" />
{META}
{NAV_LINKS}
<title>{SITENAME} :: {PAGE_TITLE}</title>
<!-- BEGIN switch_user_logged_out -->
<link rel="stylesheet" href="templates/igloo/infobar.css" type="text/css">
<!-- END switch_user_logged_out -->

<!-- link rel="stylesheet" href="templates/igloo/{T_HEAD_STYLESHEET}" type="text/css" -->
<style type="text/css">
<!--


/* General page style. The scroll bar colours only visible in IE5.5+ */
body { 
	background-color: {T_BODY_BGCOLOR};
	scrollbar-face-color: {T_TR_COLOR2};
	scrollbar-highlight-color: {T_TD_COLOR2};
	scrollbar-shadow-color: {T_TR_COLOR2};
	scrollbar-3dlight-color: {T_TR_COLOR3};
	scrollbar-arrow-color:  {T_BODY_LINK};
	scrollbar-track-color: {T_TR_COLOR1};
	scrollbar-darkshadow-color: {T_TH_COLOR1};
}

/* General font families for common tags */
font,th,td,p { font-family: {T_FONTFACE1} }
a:link,a:active,a:visited { color : {T_BODY_LINK}; }
a:hover		{ text-decoration: underline; color : {T_BODY_HLINK}; }
hr	{ height: 0px; border: solid {T_TR_COLOR3} 0px; border-top-width: 1px;}

/* This is the border line & background colour round the entire page */
.bodyline	{ background-color: {T_TD_COLOR2}; border: 1px {T_TH_COLOR1} solid; }

/* This is the outline round the main forum tables */
.forumline	{ background-color: {T_TD_COLOR2}; border: 2px {T_TH_COLOR2} solid; }

/* Main table cell colours and backgrounds */
td.row1	{ background-color: {T_TR_COLOR1}; }
td.row2	{ background-color: {T_TR_COLOR2}; }
td.row3	{ background-color: {T_TR_COLOR3}; }

/*
  This is for the table cell above the Topics, Post & Last posts on the index.php page
  By default this is the fading out gradiated silver background.
  However, you could replace this with a bitmap specific for each forum
*/
td.rowpic {
		background-color: {T_TD_COLOR2};
		background-image: url(templates/igloo/images/{T_TH_CLASS3});
		background-repeat: repeat-y;
}

/* Header cells - the blue and silver gradient backgrounds */
th	{
	color: {T_FONTCOLOR3}; font-size: {T_FONTSIZE2}px; font-weight : bold; 
	background-color: {T_BODY_LINK}; height: 25px;
	background-image: url(templates/igloo/images/{T_TH_CLASS2});
}

td.cat,td.catHead,td.catSides,td.catLeft,td.catRight,td.catBottom {
			background-image: url(templates/igloo/images/{T_TH_CLASS1});
			background-color:{T_TR_COLOR3}; border: {T_TH_COLOR3}; border-style: solid; height: 28px;
}

/*
  Setting additional nice inner borders for the main table cells.
  The names indicate which sides the border will be on.
  Don't worry if you don't understand this, just ignore it :-)
*/
td.cat,td.catHead,td.catBottom {
	height: 29px;
	border-width: 0px 0px 0px 0px;
}
th.thHead,th.thSides,th.thTop,th.thLeft,th.thRight,th.thBottom,th.thCornerL,th.thCornerR {
	font-weight: bold; border: {T_TD_COLOR2}; border-style: solid; height: 28px;
}
td.row3Right,td.spaceRow {
	background-color: {T_TR_COLOR3}; border: {T_TH_COLOR3}; border-style: solid;
}

th.thHead,td.catHead { font-size: {T_FONTSIZE3}px; border-width: 1px 1px 0px 1px; }
th.thSides,td.catSides,td.spaceRow	 { border-width: 0px 1px 0px 1px; }
th.thRight,td.catRight,td.row3Right	 { border-width: 0px 1px 0px 0px; }
th.thLeft,td.catLeft	  { border-width: 0px 0px 0px 1px; }
th.thBottom,td.catBottom  { border-width: 0px 1px 1px 1px; }
th.thTop	 { border-width: 1px 0px 0px 0px; }
th.thCornerL { border-width: 1px 0px 0px 1px; }
th.thCornerR { border-width: 1px 1px 0px 0px; }

/* The largest text used in the index page title and toptic title etc. */
.maintitle	{
	font-weight: bold; font-size: 22px; font-family: "{T_FONTFACE2}",{T_FONTFACE1};
	text-decoration: none; line-height : 120%; color : {T_BODY_TEXT};
}

/* General text */
.gen { font-size : {T_FONTSIZE3}px; }
.genmed { font-size : {T_FONTSIZE2}px; }
.gensmall { font-size : {T_FONTSIZE1}px; }
.gen,.genmed,.gensmall { color : {T_BODY_TEXT}; }
a.gen,a.genmed,a.gensmall { color: {T_BODY_LINK}; text-decoration: none; }
a.gen:hover,a.genmed:hover,a.gensmall:hover	{ color: {T_BODY_HLINK}; text-decoration: underline; }

/* The register, login, search etc links at the top of the page */
.mainmenu		{ font-size : {T_FONTSIZE2}px; color : {T_BODY_TEXT} }
a.mainmenu		{ text-decoration: none; color : {T_BODY_LINK};  }
a.mainmenu:hover{ text-decoration: underline; color : {T_BODY_HLINK}; }

/* Forum category titles */
.cattitle		{ font-weight: bold; font-size: {T_FONTSIZE3}px ; letter-spacing: 1px; color : {T_BODY_LINK}}
a.cattitle		{ text-decoration: none; color : {T_BODY_LINK}; }
a.cattitle:hover{ text-decoration: underline; }

/* Forum title: Text and link to the forums used in: index.php */
.forumlink		{ font-weight: bold; font-size: {T_FONTSIZE3}px; color : {T_BODY_LINK}; }
a.forumlink 	{ text-decoration: none; color : {T_BODY_LINK}; }
a.forumlink:hover{ text-decoration: underline; color : {T_BODY_HLINK}; }

/* Used for the navigation text, (Page 1,2,3 etc) and the navigation bar when in a forum */
.nav			{ font-weight: bold; font-size: {T_FONTSIZE2}px; color : {T_BODY_TEXT};}
a.nav			{ text-decoration: none; color : {T_BODY_LINK}; }
a.nav:hover		{ text-decoration: underline; }

/* titles for the topics: could specify viewed link colour too */
.topictitle,h1,h2	{ font-weight: bold; font-size: {T_FONTSIZE2}px; color : {T_BODY_TEXT}; }
a.topictitle:link   { text-decoration: none; color : {T_BODY_LINK}; }
a.topictitle:visited { text-decoration: none; color : {T_BODY_VLINK}; }
a.topictitle:hover	{ text-decoration: underline; color : {T_BODY_HLINK}; }

/* Name of poster in viewmsg.php and viewtopic.php and other places */
.name			{ font-size : {T_FONTSIZE2}px; color : {T_BODY_TEXT};}

/* Location, number of posts, post date etc */
.postdetails		{ font-size : {T_FONTSIZE1}px; color : {T_BODY_TEXT}; }

/* The content of the posts (body of text) */
.postbody { font-size : {T_FONTSIZE3}px; line-height: 18px}
a.postlink:link	{ text-decoration: none; color : {T_BODY_LINK} }
a.postlink:visited { text-decoration: none; color : {T_BODY_VLINK}; }
a.postlink:hover { text-decoration: underline; color : {T_BODY_HLINK}}

/* Quote & Code blocks */
.code { 
	font-family: {T_FONTFACE3}; font-size: {T_FONTSIZE2}px; color: {T_FONTCOLOR2};
	background-color: {T_TD_COLOR1}; border: {T_TR_COLOR3}; border-style: solid;
	border-left-width: 1px; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px
}

.quote {
	font-family: {T_FONTFACE1}; font-size: {T_FONTSIZE2}px; color: {T_FONTCOLOR1}; line-height: 125%;
	background-color: {T_TD_COLOR1}; border: {T_TR_COLOR3}; border-style: solid;
	border-left-width: 1px; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px
}

/* Copyright and bottom info */
.copyright		{ font-size: {T_FONTSIZE1}px; font-family: {T_FONTFACE1}; color: {T_FONTCOLOR1}; letter-spacing: -1px;}
a.copyright		{ color: {T_FONTCOLOR1}; text-decoration: none;}
a.copyright:hover { color: {T_BODY_TEXT}; text-decoration: underline;}

/* Form elements */
input,textarea, select {
	color : {T_BODY_TEXT};
	font: normal {T_FONTSIZE2}px {T_FONTFACE1};
	border-color : {T_BODY_TEXT};
}

/* The text input fields background colour */
input.post, textarea.post, select {
	background-color : {T_TD_COLOR2};
}

input { text-indent : 2px; }

/* The buttons used for bbCode styling in message post */
input.button {
	background-color : {T_TR_COLOR1};
	color : {T_BODY_TEXT};
	font-size: {T_FONTSIZE2}px; font-family: {T_FONTFACE1};
}

/* The main submit button option */
input.mainoption {
	background-color : {T_TD_COLOR1};
	font-weight : bold;
}

/* None-bold submit button */
input.liteoption {
	background-color : {T_TD_COLOR1};
	font-weight : normal;
}

/* This is the line in the posting page which shows the rollover
  help line. This is actually a text box, but if set to be the same
  colour as the background no one will know ;)
*/
.helpline { background-color: {T_TR_COLOR2}; border-style: none; }

/* Import the fancy styles for IE only (NS4.x doesn't use the @import function) */
@import url("templates/igloo/formIE.css"); 
-->
</style>

<script language="JavaScript" type="text/javascript"> 
var oMarquees = [], oMrunning, 
   oMInterv =        20,     //interval between increments 
   oMStep =          1,      //number of pixels to move between increments 
   oMDirection =     'left'; //'left' for LTR text, 'right' for RTL text 

/***     Do not edit anything after here     ***/ 

function doDMarquee() { 
   if( oMarquees.length || !document.getElementsByTagName ) { return; } 
   var oDivs = document.getElementsByTagName('div'); 
   for( var i = 0, oDiv; i < oDivs.length; i++ ) { 
      oDiv = oDivs[i]; 
      if( oDiv.className && oDiv.className.match(/\bdmarquee\b/) ) { 
         if( !( oDiv = oDiv.getElementsByTagName('div')[0] ) ) { continue; } 
         if( !( oDiv.mchild = oDiv.getElementsByTagName('div')[0] ) ) { continue; } 
         oDiv.mchild.style.cssText += ';white-space:nowrap;'; 
         oDiv.mchild.style.whiteSpace = 'nowrap'; 
         oDiv.style.height = oDiv.offsetHeight + 'px'; 
         oDiv.style.overflow = 'hidden'; 
         oDiv.style.position = 'relative'; 
         oDiv.mchild.style.position = 'absolute'; 
         oDiv.mchild.style.top = '0px'; 
         oDiv.mchild.style[oMDirection] = oDiv.offsetWidth + 'px'; 
         oMarquees[oMarquees.length] = oDiv; 
         i += 2; 
      } 
   } 
   oMrunning = setInterval('aniMarquee()',oMInterv); 
} 
function aniMarquee() { 
   var oDiv, oPos; 
   for( var i = 0; i < oMarquees.length; i++ ) { 
      oDiv = oMarquees[i].mchild; 
      oPos = parseInt(oDiv.style[oMDirection]); 
      if( oPos <= -1 * oDiv.offsetWidth ) { 
         oDiv.style[oMDirection] = oMarquees[i].offsetWidth + 'px'; 
      } else { 
         oDiv.style[oMDirection] = ( oPos - oMStep ) + 'px'; 
      } 
   } 
} 
if( window.addEventListener ) { 
   window.addEventListener('load',doDMarquee,false); 
} else if( document.addEventListener ) { 
   document.addEventListener('load',doDMarquee,false); 
} else if( window.attachEvent ) { 
   window.attachEvent('onload',doDMarquee); 
} 
</script> 


<!-- BEGIN switch_enable_pm_popup -->
<script language="Javascript" type="text/javascript">
<!--
	if ( {PRIVATE_MESSAGE_NEW_FLAG} )
	{
		window.open('{U_PRIVATEMSGS_POPUP}', '_phpbbprivmsg', 'HEIGHT=225,resizable=yes,WIDTH=400');;
	}
//-->
</script>
<!-- END switch_enable_pm_popup -->

<!-- BEGIN switch_ajax -->
<script language="Javascript" type="text/javascript">
<!--
{AJAX_JS}
-->
</script>
<script language="javascript1.2" src="includes/AJAXed_config.php"></script>
<script language="javascript1.2" src="includes/AJAXed_func.js"></script>
<!-- END switch_ajax -->

<script language="Javascript">
var win = null;
function Gk_PopTart(mypage,myname,w,h,scroll)
{
  LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
  TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
  settings = 'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable';
  win = window.open(mypage,myname,settings);
}
</script>

<script language="Javascript">
var win = null;
function Trophy_Popup(mypage,myname,w,h,scroll)
{
  LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
  TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
  settings = 'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable';
  win = window.open(mypage,myname,settings);
}
</script>
</head>
<body bgcolor="{T_BODY_BGCOLOR}" text="{T_BODY_TEXT}" link="{T_BODY_LINK}" vlink="{T_BODY_VLINK}">
<!-- This theme was created by igloo inc. ( www.iglooinc.tk ) and PROX designs ( www.prox1.tk ). If this tag is removed, you are not allowed to use this theme. -->
<!-- This theme was modified by LWBB team to work with LWBB -- http://www.lwnetwork.org.uk -->
<!-- BEGIN switch_user_logged_out -->
<div id="info"><div id="infobar"><a href="{U_REGISTER}">{L_INFO_BAR}</a></div></div>
<br>
<!-- END switch_user_logged_out -->
<div id="loading" style="position:absolute;font-family:arial,sans-serif;background:#0070EA;color:white;font-size:75%;top:0;right:0;"></div>
<div id="misc" style="position:absolute;left:0px;top:0px;z-index:100;"></div>
<a name="top"></a>
<table width="80%" cellspacing="0" cellpadding="10" border="0" align="center"> 
	<tr> 
		<td class="bodyline"><table width="100%" cellspacing="0" cellpadding="0" border="0">
			<tr> 
				<td><a href="{U_INDEX}"><img src="templates/igloo/images/logo_phpBB.gif" border="0" alt="{L_INDEX}" vspace="1" /></a></td>
				<td align="center" width="100%" valign="middle"><span class="maintitle">{SITENAME}</span><br /><span class="gen">{SITE_DESCRIPTION}<br />&nbsp; </span> 
				<table cellspacing="0" cellpadding="2" border="0">
					<tr> 
						<td align="center" valign="top" nowrap="nowrap"><span class="mainmenu">&nbsp;<a href="{U_FAQ}" class="mainmenu"><img src="templates/igloo/images/icon_mini_faq.gif" width="12" height="13" border="0" alt="{L_FAQ}" hspace="3" />{L_FAQ}</a>&nbsp; &nbsp;<a href="{U_SEARCH}" class="mainmenu"><img src="templates/igloo/images/icon_mini_search.gif" width="12" height="13" border="0" alt="{L_SEARCH}" hspace="3" />{L_SEARCH}</a>&nbsp; &nbsp;<a href="{U_MEMBERLIST}" class="mainmenu"><img src="templates/igloo/images/icon_mini_members.gif" width="12" height="13" border="0" alt="{L_MEMBERLIST}" hspace="3" />{L_MEMBERLIST}</a>&nbsp; &nbsp;<a href="{U_GROUP_CP}" class="mainmenu"><img src="templates/igloo/images/icon_mini_groups.gif" width="12" height="13" border="0" alt="{L_USERGROUPS}" hspace="3" />{L_USERGROUPS}</a>&nbsp; 
						<!-- BEGIN switch_user_logged_out -->
						&nbsp;<a href="{U_REGISTER}" class="mainmenu"><img src="templates/igloo/images/icon_mini_register.gif" width="12" height="13" border="0" alt="{L_REGISTER}" hspace="3" />{L_REGISTER}</a>&nbsp;
						<!-- END switch_user_logged_out -->
						</span></td>
					</tr>
					<tr>
						<td height="25" align="center" valign="top" nowrap="nowrap"><span class="mainmenu"> &nbsp;<a href="{U_PROFILE}" class="mainmenu"><img src="templates/igloo/images/icon_mini_profile.gif" width="12" height="13" border="0" alt="{L_PROFILE}" hspace="3" />{L_PROFILE}</a>&nbsp; &nbsp;<a href="{U_PRIVATEMSGS}" class="mainmenu"><img src="templates/igloo/images/icon_mini_message.gif" width="12" height="13" border="0" alt="{PRIVATE_MESSAGE_INFO}" hspace="3" />{PRIVATE_MESSAGE_INFO}</a>&nbsp; &nbsp;<a href="{U_LOGIN_LOGOUT}" class="mainmenu"><img src="templates/igloo/images/icon_mini_login.gif" width="12" height="13" border="0" alt="{L_LOGIN_LOGOUT}" hspace="3" />{L_LOGIN_LOGOUT}</a>&nbsp;</span></td>
					</tr>
					<tr>
						<td align="center" valign="top" nowrap="nowrap"><span class="mainmenu"><a href="{U_ACTIVITY}" class="mainmenu"><img src="templates/igloo/images/icon_mini_activity.gif" width="12" height="13" border="0" alt="{L_ACTIVITY}" hspace="3" />{L_ACTIVITY}</a>&nbsp; <a href="{U_VCASINO}" class="mainmenu"><img src="templates/igloo/images/icon_mini_activity.gif" width="12" height="13" border="0" alt="{L_CASINO}" hspace="3" />{L_VCASINO}</a>&nbsp; &nbsp;<a href="{U_BOOKMARKS}" class="mainmenu"><img src="templates/subSilver/images/icon_mini_bookmark.gif" width="12" height="13" border="0" alt="{L_BOOKMARKS}" hspace="3" />{L_BOOKMARKS}</a>&nbsp; &nbsp;<a href="{U_STAT_HEADERLINK}" class="mainmenu"><img src="templates/igloo/images/icon_mini_statistics.png" width="12" height="13" border="0" alt="Statistics" hspace="3" />{L_STAT_HEADERLINK}</a>&nbsp;</span></td>
					</tr>
					<!-- BEGIN switch_user_logged_in -->
					<tr>
						<td align="center" valign="top" nowrap="nowrap"><span class="mainmenu">
						<a href="{U_WEBLOGS}" class="mainmenu"><img src="templates/igloo/images/icon_mini_message.gif" width="12" height="13" border="0" alt="{L_WEBLOGS}" hspace="3" />{L_WEBLOGS}</a>&nbsp; &nbsp;
						<a href="{U_WEBLOG_CONFIG}" class="mainmenu"><img src="templates/igloo/images/icon_mini_groups.gif" width="12" height="13" border="0" alt="{L_WEBLOG_CONFIG}" hspace="3" />{L_WEBLOG_CONFIG}</a>&nbsp; &nbsp;
						<a href="{U_MYWEBLOG}" class="mainmenu"><img src="templates/igloo/images/icon_mini_members.gif" width="12" height="13" border="0" alt="{L_MYWEBLOG}" hspace="3" />{L_MYWEBLOG}</a>&nbsp; &nbsp;
						<a href="{U_WEBLOGS_NEWS}" class="mainmenu"><img src="templates/igloo/images/icon_mini_members.gif" width="12" height="13" border="0" alt="{L_MYWEBLOG}" hspace="3" />{L_WEBLOGS_NEWS}</a>
						</span></td>
					</tr>
					<!-- END switch_user_logged_in -->
				</table></td>
			</tr>
		</table>

		<br />
